Skip to main content
GET
/
sdk-connections
cURL
curl https://api.growthbook.io/api/v1/sdk-connections \
  -u secret_abc123DEF456:
{
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123,
  "connections": [
    {
      "id": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "organization": "<string>",
      "languages": [
        "<string>"
      ],
      "environment": "<string>",
      "project": "<string>",
      "encryptPayload": true,
      "encryptionKey": "<string>",
      "key": "<string>",
      "proxyEnabled": true,
      "proxyHost": "<string>",
      "proxySigningKey": "<string>",
      "sdkVersion": "<string>",
      "projects": [
        "<string>"
      ],
      "includeVisualExperiments": true,
      "includeDraftExperiments": true,
      "includeExperimentNames": true,
      "includeRedirectExperiments": true,
      "includeRuleIds": true,
      "includeProjectIdInMetadata": true,
      "includeCustomFieldsInMetadata": true,
      "allowedCustomFieldsInMetadata": [
        "<string>"
      ],
      "includeTagsInMetadata": true,
      "sseEnabled": true,
      "hashSecureAttributes": true,
      "remoteEvalEnabled": true,
      "savedGroupReferencesEnabled": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

projectId
string

Filter by project id

withProxy
string
multiOrg
string

Response

200 - application/json

Success

limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required
connections
object[]